%head
  %meta{charset: "utf-8"}
  %title
    = "#{title} | " if defined?(title)
    GitLab
  = favicon_link_tag 'favicon.ico'
  = stylesheet_link_tag    "application", :media => "all"
  = stylesheet_link_tag    "print", :media => "print"
  = javascript_include_tag "application"
  = csrf_meta_tags
  = include_gon
  :erb
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

  = render 'layouts/google_analytics' if extra_config.has_key?('google_analytics_id')
  = render 'layouts/piwik' if extra_config.has_key?('piwik_url') && extra_config.has_key?('piwik_site_id')

  -# Atom feed
  - if current_user
    - if controller_name == 'projects' && action_name == 'index'
      = auto_discovery_link_tag :atom, projects_url(:atom, private_token: current_user.private_token), title: t("layouts.dashboard_feed")
    - if @project && !@project.new_record?
      - if current_controller?(:tree, :commits)
        = auto_discovery_link_tag(:atom, project_commits_url(@project, @ref, format: :atom, private_token: current_user.private_token), title: "#{t('layouts.recent_commits_to')} #{@project.name}:#{@ref}")
      - if current_controller?(:issues)
        = auto_discovery_link_tag(:atom, project_issues_url(@project, :atom, private_token: current_user.private_token), title: "#{@project.name} #{t('layouts.issues').downcase}")

  -# Go repository retrieval support.
  - if controller_name == 'projects' && action_name == 'show'
    %meta{name: "go-import", content: "#{@project.web_url_without_protocol} git #{@project.web_url}.git"}

